---
identifier: "GMS-2015-21"
package_slug: "pypi/Django"
title: "Denial-of-service possibility in logout() view by filling session store"
description: "A session can be created when anonymously accessing the 
  `django.contrib.auth.views.logout` view (provided it wasn't decorated with
  `django.contrib.auth.decorators.login_required` as done in the admin). This
  allows an attacker to easily create many new session records by sending
  repeated requests, potentially filling up the session store or causing other
  users' session records to be evicted."
date: "2015-08-18"
pubdate: "2015-08-18"
affected_range: ">=1.8.0a,<1.8.4||>=1.7.0a,<1.7.10||>=1.4.0a,<1.4.22"
fixed_versions:
- "1.4.22"
- "1.7.10"
- "1.8.4"
affected_versions: "All versions starting from 1.8.0a before 1.8.4, all versions starting
  from 1.7.0a before 1.7.10, all versions starting from 1.4.0a before 1.4.22"
solution: "Upgrade to latest version."
urls:
- "https://www.djangoproject.com/weblog/2015/aug/18/security-releases/"
credit: "Lin Hua Cheng"
uuid: "bfcb6043-e9f1-497d-a9e4-a8698b7f0fa1"
